Rechercher
Contactez-nous Suivez-nous sur Twitter En francais English Language
 

De la Théorie à la pratique





















Freely subscribe to our NEWSLETTER

Newsletter FR

Newsletter EN

Vulnérabilités

Unsubscribe

Vigil@nce - VLC: buffer overflow of LOASParse

October 2013 by Vigil@nce

This bulletin was written by Vigil@nce : http://vigilance.fr/offer

SYNTHESIS OF THE VULNERABILITY

An attacker can generate a buffer overflow in the LOASParse() function of VLC, in order to trigger a denial of service, and possibly to execute code.

Impacted products: Unix (platform)

Severity: 2/4

Creation date: 01/10/2013

DESCRIPTION OF THE VULNERABILITY

The VideoLAN VLC program plays multimedia documents.

The LOASParse() function of the modules/packetizer/mpeg4audio.c file analyzes MPEG4 audio documents. However, if the size of data is greater than the size of the storage array, an overflow occurs.

An attacker can therefore generate a buffer overflow in the LOASParse() function of VLC, in order to trigger a denial of service, and possibly to execute code.

ACCESS TO THE COMPLETE VIGIL@NCE BULLETIN

http://vigilance.fr/vulnerability/V...




See previous articles

    

See next articles